# $Revision: 1.205 $, $Date: 2010/08/21 17:08:18 $
# TODO:
# - create subpackage -lua (?)
#
# Conditional build:
%bcond_without	dbus		# without D-Bus support
%bcond_without	lua		# without LUA scripting support
%bcond_without	nm		# with NetworkManager support
#
Summary:	A RSS feed reader
Summary(pl.UTF-8):	Program do pobierania informacji w formacie RSS
Name:		liferea
Version:	1.6.4
Release:	1
License:	GPL v2
Group:		X11/Applications/Networking
Source0:	http://downloads.sourceforge.net/liferea/%{name}-%{version}.tar.gz
# Source0-md5:	921b5778f5cc67a60eec4669b6048844
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-lua51.patch
URL:		http://liferea.sourceforge.net/
BuildRequires:	GConf2-devel >= 2.10.0
%{?with_nm:BuildRequires:	NetworkManager-devel}
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.6
BuildRequires:	avahi-glib-devel >= 0.6.0
%{?with_dbus:BuildRequires:	dbus-glib-devel >= 0.33}
BuildRequires:	gettext-devel
BuildRequires:	gstreamer-devel >= 0.10
BuildRequires:	gtk+2-devel >= 2:2.16.0
BuildRequires:	gtk-webkit-devel >= 1.1.7
BuildRequires:	intltool >= 0.35.5
BuildRequires:	libglade2-devel >= 1:2.0.0
BuildRequires:	libnotify-devel >= 0.3.2
BuildRequires:	libsoup-devel >= 2.26.1
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.27
BuildRequires:	libxslt-devel >= 1.1.19
%{?with_lua:BuildRequires:	lua51-devel}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sqlite3-devel >= 3.6.10
BuildRequires:	xorg-lib-libSM-devel
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires(post,preun):	GConf2
Obsoletes:	liferea-gtkhtml
Obsoletes:	liferea-mozilla
Obsoletes:	liferea-webkit
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Liferea is a GTK+ clone of FeedReader.

%description -l pl.UTF-8
Liferea jest klonem, napisanym za pomocą biblioteki GTK+, programu
FeedReader.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__glib_gettextize}
%{__intltoolize}
%{__aclocal}
%{__libtoolize}
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--disable-schemas-install \
	%{!?with_dbus: --disable-dbus} \
	%{!?with_lua: --disable-lua} \
	%{!?with_nm: --disable-nm}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/lib*.la

%find_lang %{name}

%post
%gconf_schema_install liferea.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall liferea.schemas

%postun
%update_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/liferea
%attr(755,root,root) %{_bindir}/liferea-add-feed
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/liblinotiflibnotify.so
%if %{with lua}
%attr(755,root,root) %{_libdir}/%{name}/libliscrlua.so
%endif
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg
%{_sysconfdir}/gconf/schemas/liferea.schemas
%{_datadir}/%{name}
%{_desktopdir}/liferea.desktop
%{_mandir}/man1/liferea.1*
%lang(pl) %{_mandir}/pl/man1/liferea.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: liferea.spec,v $
Revision 1.205  2010/08/21 17:08:18  dirdival
- BR:  gstreamer-devel

Revision 1.204  2010/07/12 12:52:49  lisu
- up to 1.6.4

Revision 1.203  2010/02/23 14:10:35  lisu
- updated to 1.6.3
- use %%lang

Revision 1.202  2010/02/20 16:21:30  megabajt
- release 2

Revision 1.201  2010/01/23 16:11:16  dirdival
- up to 1.6.2 (Fixes SF #2883971: proxy authentication doesn't work, Fixes an RSS 1.1 parsing bug)

Revision 1.200  2009/11/21 19:55:33  megabajt
- updated to 1.6.1

Revision 1.199  2009/11/07 13:23:57  megabajt
- cleanup

Revision 1.198  2009/08/10 18:36:46  hawk
- fix build, release 2

Revision 1.197  2009/08/07 00:31:20  aredridel
- 1.6.0 merged from DEVEL

Revision 1.164.2.6  2009/08/07 00:29:10  aredridel
- 1.6.0

Revision 1.164.2.5  2009/06/30 08:34:53  megabajt
- updated to 1.6.0-rc6

Revision 1.164.2.4  2009/03/30 21:07:39  megabajt
- updated to 1.5.15
- enabled nm bcond by default

Revision 1.164.2.3  2008/11/22 12:54:32  megabajt
- updated to 1.5.6
- removed obsolete -no_versioned_soname.patch and -xulrunner.patch
- now webkit is the only supported backend:
  - removed gtkhtml, mozilla and webkit subpackages
  - added appropriate obsoletes
  - webkit backend has been moved to the main package (there is no need to
    separate backends)

Revision 1.164.2.2  2008/07/07 09:45:44  blues
- 1.5.4

Revision 1.164.2.1  2008/04/18 06:24:45  sls
- ver. 1.5.1

Revision 1.164  2008-03-10 06:59:08  aredridel
- 1.5.0b

Revision 1.163  2008-02-08 19:49:52  hawk
- release 2 (xulrunner 1.8.1.12)

Revision 1.162  2008-01-18 20:19:08  megabajt
- updated to 1.4.11
- added -no_versioned_soname.patch
- more verbose files

Revision 1.161  2008-01-17 00:07:05  glen
- rel 2

Revision 1.160  2007-12-21 22:03:57  sls
- BR: gettext-devel

Revision 1.159  2007-12-20 17:42:31  megabajt
- updated to 1.4.10
- added CVE reference for revision 1.153

Revision 1.158  2007-12-02 12:40:56  hawk
- release 3 (xulrunner 1.8.1.11)

Revision 1.157  2007-11-27 19:26:16  megabajt
- release 2 (xulrunner 1.8.1.10)

Revision 1.156  2007-11-22 15:33:34  megabajt
- updated to 1.4.8 [fixes CVE-2005-4791]

Revision 1.155  2007-11-14 19:09:02  megabajt
- updated to 1.4.7

Revision 1.154  2007-11-10 13:34:57  megabajt
- release 2 (xulrunner 1.8.1.9)

Revision 1.153  2007/10/30 22:18:55  sls
- ver. 1.4.6 [fixes CVE-2007-5751]
- removed free.patch

Revision 1.152  2007/10/22 19:31:58  megabajt
- release 2 (xulrunner 1.8.1.8)

Revision 1.151  2007/10/10 23:33:00  wrobell
- ver. 1.4.5

Revision 1.150  2007/10/05 16:45:59  megabajt
- updated to 1.4.4

Revision 1.149  2007/09/29 14:55:42  megabajt
- updated to 1.4.3b

Revision 1.148  2007/09/22 13:25:52  megabajt
- updated to 1.4.2b
- added free patch

Revision 1.147  2007/09/22 08:40:39  megabajt
- release 2 (xulrunner 1.8.1.7)

Revision 1.146  2007/09/06 06:46:50  aredridel
- 1.4.1

Revision 1.145  2007/09/02 01:22:47  aredridel
- add fix for crash

Revision 1.144  2007/09/01 21:58:31  aredridel
- 1.4.0

Revision 1.143  2007/08/12 10:30:08  blues
- 1.2.21

Revision 1.142  2007/07/25 20:17:24  megabajt
- updated to 1.2.20

Revision 1.141  2007/07/02 09:20:05  wrobell
- ver. 1.2.18

Revision 1.140  2007/06/17 20:49:00  megabajt
- updated to 1.2.17

Revision 1.139  2007/06/14 20:25:23  megabajt
- updated to 1.2.16b

Revision 1.138  2007/06/02 14:19:16  megabajt
- updated to 1.2.15b

Revision 1.137  2007/04/30 15:07:08  megabajt
- updated to 1.2.13

Revision 1.136  2007/04/27 17:32:56  megabajt
- updated to 1.2.12b

Revision 1.135  2007/04/19 10:13:16  megabajt
- updated to 1.2.11
- don't require libxpcom.so

Revision 1.134  2007/04/04 19:24:53  megabajt
- updated to 1.2.10c

Revision 1.133  2007/03/28 16:40:51  sls
- added bcond nm

Revision 1.132  2007/03/28 16:38:47  sls
- rel. 1
- added TODO entry

Revision 1.131  2007/03/28 16:34:35  sls
- fixed attr and libdir for libliscrlua.so

Revision 1.130  2007/03/28 15:27:09  sls
- package lua-dependent file

Revision 1.129  2007/03/26 23:46:30  sls
- ver. 1.2.9

Revision 1.128  2007/03/24 20:36:41  sls
- added bcond lua

Revision 1.127  2007/03/23 18:07:17  megabajt
- release 2 to rebuild with xulrunner 1.8.1.3

Revision 1.126  2007/03/16 11:07:08  sls
- rel. 1

Revision 1.125  2007/03/16 03:16:12  sls
- ver. 1.2.8

Revision 1.124  2007/02/27 21:42:25  koorek
- do not require xulrunner when building without it

Revision 1.123  2007/02/26 15:22:43  megabajt
- release 2 to rebuild with new xulrunner

Revision 1.122  2007/02/24 22:24:56  megabajt
- works for me; release 1

Revision 1.121  2007/02/24 15:39:58  darekr
- fix md5

Revision 1.120  2007/02/24 15:14:13  megabajt
- starting update to 1.2.7
- gtkhtml backend doesn't exist on x86_64
- release 0.1; NFY

Revision 1.119  2007/02/14 01:18:27  sls
- ver. 1.2.6
- BR: libxslt-devel >= 1.1.19

Revision 1.118  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.117  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.116  2007/01/23 15:18:28  megabajt
- up to 1.2.4

Revision 1.115  2007/01/11 15:49:36  megabajt
- up to 1.2.3

Revision 1.114  2007/01/03 19:39:43  megabajt
- 1.2.2

Revision 1.113  2006/12/31 13:32:31  megabajt
- missing BR: libxslt-devel

Revision 1.112  2006/12/24 10:00:55  megabajt
- up to 1.2.1

Revision 1.111  2006/12/19 22:39:36  qboosh
- cleanup

Revision 1.110  2006/12/18 05:17:31  aredridel
- 1.2.0

Revision 1.109  2006/12/08 15:00:36  glen
- depend on mozilla-firefox-libs

Revision 1.108  2006/11/28 21:00:51  qboosh
- no lies

Revision 1.107  2006/11/27 21:27:06  aredridel
- 1.2[-RC3]

Revision 1.106  2006/11/07 22:29:01  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.105  2006/10/30 14:48:59  megabajt
- up to 1.0.25

Revision 1.104  2006/10/20 18:04:16  megabajt
- up to 1.0.24

Revision 1.103  2006/10/01 09:27:00  megabajt
- rel. 2 to rebuild with new firefox

Revision 1.102  2006/09/19 10:49:15  havner
- 1.0.23

Revision 1.101  2006/09/15 18:20:53  glen
- rel 2 (mozilla-firefox 1.5.0.7)

Revision 1.100  2006/09/01 17:16:01  havner
- 1.0.22

Revision 1.99  2006/08/14 22:33:27  havner
- 1.0.21

Revision 1.98  2006/08/08 16:17:41  havner
- 1.0.20

Revision 1.97  2006/08/03 12:03:09  hawk
- release 2

Revision 1.96  2006/08/01 16:45:03  havner
- 1.0.19

Revision 1.95  2006/07/22 22:55:18  havner
- mozilla patch
- rel 2

Revision 1.94  2006/07/22 18:18:36  havner
- 1.0.18

Revision 1.93  2006/07/19 11:04:03  wrobell
- ver. 1.1.17

Revision 1.92  2006/07/03 10:35:22  wrobell
- ver. 1.0.16

Revision 1.91  2006/06/15 20:42:00  megabajt
- updated to 1.0.15

Revision 1.90  2006/06/11 17:08:06  megabajt
- updated to 1.0.14

Revision 1.89  2006/06/05 06:54:04  hawk
- release 2

Revision 1.88  2006/05/21 09:02:43  hawk
- build with mozilla-firefox-devel by default

Revision 1.87  2006/05/06 18:36:51  megabajt
- updated to 1.0.11 (bugfix release)

Revision 1.86  2006/04/30 07:07:18  adamg
- updated to 1.0.10

Revision 1.85  2006/03/31 21:55:53  megabajt
- up to 1.0.8

Revision 1.84  2006/03/06 18:26:22  wrobell
- ver. 1.0.7

Revision 1.83  2006/02/11 21:28:23  aredridel
- up to 1.0.4

Revision 1.82  2006/02/02 00:36:44  patrys
- up to 1.0.3

Revision 1.81  2006/01/17 12:12:47  paszczus
- updated to 1.0.1 (fixes Firefox 1.5 compatibility)

Revision 1.80  2005/12/28 13:57:05  wrobell
- rel. 2 to allow to upgrade from rc versions

Revision 1.79  2005/12/27 09:28:12  patrys
- up to 1.0 final

Revision 1.78  2005/11/19 01:17:04  aredridel
- up to 1.0.0 RC4

Revision 1.77  2005/11/05 00:42:52  aredridel
- up to 1.0RC3

Revision 1.76  2005/10/11 14:05:05  pawcioos
- updated to 1.0-RC2

Revision 1.75  2005/10/05 18:25:04  arekm
- add rc to rev

Revision 1.74  2005/10/04 21:28:56  pawcioos
- updated to 1.0-RC1

Revision 1.73  2005/09/06 17:46:47  paladine
- updated to 0.9.7b

Revision 1.72  2005/09/04 15:24:42  arekm
- rel 2; new dbus

Revision 1.71  2005/08/30 17:10:11  paladine
- updated to 0.9.7a

Revision 1.70  2005/08/30 04:59:13  aredridel
- up to 0.9.7

Revision 1.69  2005/08/16 19:12:35  paladine
- updated to 0.9.6
- fixed mozilla bcond
- added gtkhtml bcond

Revision 1.68  2005/08/08 14:29:40  paladine
- splited liferea into liferea and liferea-gtkhtml
- rel. 2

Revision 1.67  2005/07/31 18:35:48  aredridel
- up to 0.9.5

Revision 1.66  2005/07/23 07:56:17  wrobell
- ver. 0.9.4

Revision 1.65  2005/07/08 05:33:04  aredridel
- up to 0.9.3

Revision 1.64  2005/05/19 10:57:23  paladine
- simpler mozilla-firefox requiers

Revision 1.63  2005/05/19 09:52:07  paladine
- missing Rs in mozilla subpackage

Revision 1.62  2005/05/19 09:22:45  paladine
- added mozilla firefox bcond

Revision 1.61  2005/05/18 07:19:09  paladine
- added dbus bcond

Revision 1.60  2005/05/17 01:14:32  aredridel
- up to 0.9.2

Revision 1.59  2005/04/08 11:04:57  paladine
- new style macros
- STBR

Revision 1.58  2005/04/06 10:12:13  paladine
- use new faster rpm's GConf automation
- requires newer stuff
- rel. 2

Revision 1.57  2005/03/17 05:18:30  wrobell
- it is possible to build without mozilla, now

Revision 1.56  2005/03/12 22:04:30  grzegol
- updated to 0.9.1

Revision 1.55  2005/02/28 21:51:15  qboosh
- s/osdn\.dl/dl/ in Source URL (osdn is no longer browsable)

Revision 1.54  2005/01/20 18:41:53  paladine
- updated to 0.9.0b
- updated desktop patch
- STBR

Revision 1.53  2004/12/01 22:51:07  grzegol
- updated to 0.6.4b

Revision 1.52  2004/11/30 07:49:29  paladine
- updated to 0.6.4, we've got pl translation :) STBR

Revision 1.51  2004/11/26 17:12:07  qboosh
- gtk+2 epoch

Revision 1.50  2004/11/26 09:55:57  paladine
- updated to 0.6.3
- updated BRs

Revision 1.49  2004/11/14 07:42:37  aredridel
- up to 0.6.2

Revision 1.48  2004/10/31 23:53:14  adamg
- updated to 0.6.1

Revision 1.47  2004/10/10 19:20:36  paladine
- added missing BR: autoconf, automake, libtool

Revision 1.46  2004/09/22 23:55:11  paladine
- desktop fix
- rel. 2

Revision 1.45  2004/09/15 14:37:50  paszczus
- updated to 0.6.0

Revision 1.44  2004/08/31 15:15:47  aredridel
- up to 0.5.3c

Revision 1.43  2004/08/27 14:04:34  grzegol
- updated to 0.5.3b

Revision 1.42  2004/08/17 05:30:40  aredridel
- up to 0.5.3

Revision 1.41  2004/08/06 00:35:44  aredridel
- up to cvs 2004-08-05, fixes authentication UI bug.

Revision 1.40  2004/08/02 18:59:34  undefine
- update to 0.5.2c

Revision 1.39  2004/07/23 20:25:45  grzegol
- updated to 0.5.2b

Revision 1.38  2004/07/23 11:22:19  qboosh
- BR: libstdc++-devel, mozilla-devel; moved mozilla module to subpackage

Revision 1.37  2004/07/23 11:21:12  grzegol
- gnome-vfs2-devel is not needed anymore

Revision 1.36  2004/07/23 05:48:53  aredridel
- up to 0.5.2

Revision 1.35  2004/07/02 22:45:12  grzegol
- updated to 0.5.1

Revision 1.34  2004/06/20 09:52:49  grzegol
- added man page

Revision 1.33  2004/06/20 08:10:31  paszczus
- updated to 0.5.0

Revision 1.32  2004/05/24 18:58:27  undefine
- change group to X11/Applications/Networking - there is no Applications/Internet

Revision 1.31  2004/05/23 12:24:29  grzegol
- updated to 0.4.9

Revision 1.30  2004/05/07 12:10:19  grzegol
- added BR: pkgconfig

Revision 1.29  2004/05/06 20:45:17  adamg
- added icon

Revision 1.28  2004/05/06 20:41:17  adamg
- updated to 0.4.8

Revision 1.27  2004/05/01 10:27:28  grzegol
- updated to 0.4.7d

Revision 1.26  2004/04/21 14:31:03  grzegol
- updated to 0.4.7c

Revision 1.25  2004/04/12 23:40:31  grzegol
- fixed build on amd64
- +x for *.so* files
- rel. 2

Revision 1.24  2004/04/12 23:21:00  grzegol
- updated to 0.4.7b

Revision 1.23  2004/04/07 13:08:06  ankry
- really(?) fixed md5

Revision 1.22  2004/04/07 13:04:05  adamg
- source0-md5 updated

Revision 1.21  2004/04/07 12:50:44  adamg
- updated to 0.4.7
- added %{_libdir}/%{name} to %files section

Revision 1.20  2004/03/13 13:53:14  grzegol
- updated to 0.4.6e

Revision 1.19  2004/03/04 17:16:04  grzegol
- updated to 0.4.6d

Revision 1.18  2004/02/29 08:13:14  undefine
- update to 0.4.6c

Revision 1.17  2004/01/08 16:33:03  grzegol
- updated to 0.4.6b

Revision 1.16  2004/01/07 15:52:42  grzegol
- updated to 0.4.6

Revision 1.15  2003/12/30 00:08:34  grzegol
- added %find_lang

Revision 1.14  2003/12/10 12:21:34  undefine
- oops.. md5sum

Revision 1.13  2003/12/10 12:13:27  undefine
- update to 0.4.5

Revision 1.12  2003/11/19 00:54:05  undefine
- update to 0.4.4

Revision 1.11  2003/10/20 14:09:25  aredridel
- up to 0.4.2

Revision 1.10  2003/09/28 11:08:32  wrobell
- pl translation fixes
- typos

Revision 1.9  2003/09/27 22:54:44  ankry
- better pl summary

Revision 1.8  2003/09/27 13:13:53  wiget
- updated to 0.3.8
- removed BR atk-devel (not used directly)

Revision 1.7  2003/09/09 05:50:00  aredridel
- updated to 0.3.6

Revision 1.6  2003/09/05 16:46:27  undefine
- update to 0.3.5

Revision 1.5  2003/08/27 10:19:42  undefine
- BR: libxml -> libxml2

Revision 1.4  2003/08/27 10:16:17  undefine
- update to 0.3.2, release 1, more BR

Revision 1.3  2003/08/11 19:14:06  qboosh
- pl summary(?), standardized Source0 URL

Revision 1.2  2003/08/10 23:33:26  ankry
- pl description

Revision 1.1  2003/08/10 23:20:38  aredridel
- new
